<?php

namespace kernel\modules\notification\channels;

use kernel\modules\notification\contracts\NotificationChannelInterface;
use kernel\modules\notification\contracts\NotificationMessage;
use kernel\modules\user\models\User;

class SmsChannel implements NotificationChannelInterface
{
    public function send(NotificationMessage $notification, User $user): bool
    {
        if (empty($user->phone)) {
            return false;
        }

        // Интеграция с SMS-сервисом
        //$smsService = new \App\Services\SmsService();
        //return $smsService->send($user->phone, $notification->getMessage());
        return true;
    }
}